Create a link
Creates a KuikLink. The address is checked like in the dashboard: a refused one answers 422 url_refused. A link can start in review, live behind a warning page. Send an Idempotency-Key header to make retries safe.
Authorization
apiKey An API key from Settings, Developers: Authorization: Bearer kc_live_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/links" \ -H "Content-Type: application/json" \ -d '{ "url": "string" }'{ "id": "string", "shortId": "string", "name": "string", "url": "string", "shortUrl": "string", "host": "string", "slug": "string", "folderId": "string", "tags": [ "string" ], "note": "string", "utm": { "source": "string", "medium": "string", "campaign": "string", "term": "string", "content": "string", "ref": "string" }, "expiresAt": "2019-08-24T14:15:22Z", "expiredUrl": "string", "externalId": "string", "tenantId": "string", "hasPassword": true, "state": "ok", "archived": true, "clicks": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}